device(1).
job(30).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(31).
job(32).
job(33).
job(2).
job(3).
job(4).
job(5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
job(13).
job(14).
job(15).
job(16).
job(17).
job(18).
job(19).
job(20).
job(21).
job(22).
job(23).
job(24).
job(25).
job(26).
job(27).
job(28).
job(29).
job_device(21,5).
job_device(24,5).
job_device(27,5).
job_device(30,5).
job_device(33,5).
job_len(33,9).
job_len(32,7).
job_len(31,14).
job_len(30,5).
job_len(29,11).
job_len(28,12).
precedes(1,2).
precedes(2,3).
precedes(4,5).
precedes(5,6).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
precedes(13,14).
precedes(14,15).
precedes(16,17).
precedes(17,18).
precedes(19,20).
precedes(20,21).
precedes(22,23).
precedes(23,24).
precedes(25,26).
precedes(26,27).
precedes(28,29).
precedes(29,30).
precedes(31,32).
precedes(32,33).
importance(33,1).
importance(32,2).
importance(31,3).
importance(30,2).
importance(29,2).
importance(28,2).
importance(27,2).
importance(26,3).
importance(25,3).
importance(24,1).
importance(23,2).
importance(22,2).
importance(21,3).
importance(20,2).
importance(19,1).
importance(18,1).
importance(17,2).
importance(16,3).
importance(15,1).
importance(14,2).
importance(13,3).
importance(12,3).
importance(11,1).
importance(10,3).
importance(9,3).
importance(8,1).
importance(7,3).
importance(6,1).
importance(5,3).
importance(4,2).
importance(3,1).
importance(2,3).
importance(1,2).
job_device(1,2).
job_device(4,1).
job_device(7,2).
job_device(10,1).
job_device(13,2).
job_device(16,2).
job_device(19,1).
job_device(22,1).
job_device(25,1).
job_device(28,1).
job_device(31,2).
job_device(2,4).
job_device(5,3).
job_device(8,4).
job_device(11,3).
job_device(14,3).
job_device(17,4).
job_device(20,3).
job_device(23,3).
job_device(26,3).
job_device(29,4).
job_device(32,4).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_device(15,5).
job_device(18,5).
job_len(27,10).
job_len(26,4).
job_len(25,8).
job_len(24,5).
job_len(23,10).
job_len(22,20).
job_len(21,5).
job_len(20,18).
job_len(19,4).
job_len(18,18).
job_len(17,11).
job_len(16,20).
job_len(15,8).
job_len(14,17).
job_len(13,11).
job_len(12,5).
job_len(11,8).
job_len(10,9).
job_len(9,6).
job_len(8,8).
job_len(7,7).
job_len(6,18).
job_len(5,4).
job_len(4,19).
job_len(3,14).
job_len(2,8).
job_len(1,19).
deadline(3,39).
deadline(6,25).
deadline(9,12).
deadline(12,11).
deadline(15,40).
deadline(18,30).
deadline(21,37).
deadline(24,24).
deadline(27,21).
deadline(30,26).
deadline(33,28).
max_total_penalty(1221).
curr_job_start(33,92).
curr_job_start(30,41).
curr_job_start(27,12).
curr_job_start(24,46).
curr_job_start(21,69).
curr_job_start(18,51).
curr_job_start(9,101).
curr_job_start(6,74).
curr_job_start(3,27).
curr_job_start(32,53).
curr_job_start(29,27).
curr_job_start(17,39).
curr_job_start(8,60).
curr_job_start(2,19).
curr_job_start(26,8).
curr_job_start(23,36).
curr_job_start(20,16).
curr_job_start(5,27).
curr_job_start(31,39).
curr_job_start(16,19).
curr_job_start(7,53).
curr_job_start(1,0).
curr_job_start(28,0).
curr_job_start(25,0).
curr_job_start(22,16).
curr_job_start(19,12).
curr_job_start(4,8).
curr_on_instance(33,1).
curr_on_instance(32,1).
curr_on_instance(31,1).
curr_on_instance(30,1).
curr_on_instance(29,1).
curr_on_instance(28,2).
curr_on_instance(27,1).
curr_on_instance(26,1).
curr_on_instance(25,1).
curr_on_instance(24,1).
curr_on_instance(23,1).
curr_on_instance(22,2).
curr_on_instance(21,1).
curr_on_instance(20,2).
curr_on_instance(19,2).
curr_on_instance(18,1).
curr_on_instance(17,1).
curr_on_instance(16,1).
curr_on_instance(9,1).
curr_on_instance(8,1).
curr_on_instance(7,1).
curr_on_instance(6,1).
curr_on_instance(5,1).
curr_on_instance(4,1).
curr_on_instance(3,1).
curr_on_instance(2,1).
curr_on_instance(1,1).
curr_time(5).
max_value(1427).

